#!/bin/bash



#***********************************************************************
#函数功能: 获取当前脚本所在的绝对路径  
#参数说明: 1个参数   arg1:执行该程序时的命令行第一个参数
#
#说   明: 
#***********************************************************************
get_this_exec_file_path(){
	
	dirname $0|grep "^/" >/dev/null
	
	if [ $? -eq 0 ];then
		this_dir=`dirname $0`
	else
		dirname $0|grep "^\." >/dev/null
		retval=$?
		if [ $retval -eq 0 ];then
			this_dir=`dirname $0|sed "s#^.#$this_dir#"`
		else
			this_dir=`dirname $0|sed "s#^#$this_dir/#"`
		fi
	fi
	
	this_dir=${this_dir}"/"
	
	if [ $? = "1" ] ;then  
        return 1  
    else  
        return 0  
    fi
}




########################################################################
#函数功能：更新文件
#函数参数：第一个参数------文件的名称
#　　　　　第二个参数------新文件所在的目录
#        第三个参数------老文件的安装目录
#说明：该函数常用于更新插件库
########################################################################
file_update_by_compar_md5(){
	###  下面内容不要轻易更改
	
	file_name="$1"　　　    #参数1:新文件的名称
	new_file_path="$2"　　 #参数2:新文件所在的目录
	old_file_path="$3"   #参数3:老文件的安装目录

	file_install_path=$(echo "$old_file_path"| sed 's/[[:space:]]//g')
	new_file_detail_path=$(echo ${new_file_path}"$file_name" | sed 's/[[:space:]]//g')
	old_file_detail_path=$(echo ${old_file_path}"$file_name" | sed 's/[[:space:]]//g')
	
	new_file_md5sum=""
	old_file_md5sum=""

	#计算得到新插件库的md5值
	if [ -f "$new_file_detail_path" ];then
		new_file_md5sum=$(md5sum $new_file_detail_path | awk '{print $1}') 
	else
		echo "new file not found."
		return 1
	fi

	#计算得到旧插件库的md5值
	if [ -f "$old_file_detail_path" ];then
		old_file_md5sum=$(md5sum $old_file_detail_path | awk '{print $1}')
	fi

	#对新旧插件库的md5值进行比对  不相等则更新
	if [ "$old_file_md5sum" != "$new_file_md5sum" ]; then
		
		if [ ! -d "$file_install_path" ];then
			mkdir -p $file_install_path
		fi
		echo "更新文件: $old_file_detail_path"
		cp -rf $new_file_detail_path $old_file_detail_path
	else
		echo "文件的内容没有变化，不需要更新　文件路径: $old_file_detail_path"
	fi 
	
	return 0
}



########################################################################
#################################主程序##################################
########################################################################

#1.得到当前脚本所在的绝对路径
this_dir=`pwd`
get_this_exec_file_path $0

#2.得到插件库路径
### --插件库的名称
file_name="libCamera.so"
### --新插件库的存放路径
new_file_path="$this_dir"
### --插件库的安装目录
file_install_path="/root/AuboRobotWorkSpace/teachpendant/lib/teachpendant/plugins/"

#调用更新函数 参数：新插件库的存放路径　　插件库的安装目录　　旧插件的存放路径
file_update_by_compar_md5  $file_name  $new_file_path   $file_install_path

exit 0
