#!/bin/bash


set -e

#***********************************************************************
#函数功能: 获取当前脚本所在的绝对路径  
#参数说明: 1个参数   arg1:执行该程序时的命令行第一个参数
#
#说   明: 
#***********************************************************************
get_this_exec_file_path(){
	
	dirname $0|grep "^/" >/dev/null
	
	if [ $? -eq 0 ];then
		this_dir=`dirname $0`
	else
		dirname $0|grep "^\." >/dev/null
		retval=$?
		if [ $retval -eq 0 ];then
			this_dir=`dirname $0|sed "s#^.#$this_dir#"`
		else
			this_dir=`dirname $0|sed "s#^#$this_dir/#"`
		fi
	fi
	
	if [ $? = "1" ] ;then  
        return 1  
    else  
        return 0  
    fi
}


#初始化 this_dir 变量   this_dir得到的是当前脚本所在的绝对路径
this_dir=`pwd`
get_this_exec_file_path $0

app_database_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/database"
app_project_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/project"
app_script_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/script"
app_recordTrack_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/recordtrack"
app_procedure_path="/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/procedure"

project_store_path="project-`date +%y-%m-%d-%H-%M`"

#创建工程存放目录
if [ ! -d "$this_dir/$project_store_path" ]; then
	mkdir -p "$this_dir/$project_store_path"
fi

#数据库
if [ -d "$app_database_path" ]; then
	cp -rf "$app_database_path"  "$this_dir/$project_store_path/database"
fi

#工程文件
if [ -d "$app_project_path" ]; then
	cp -rf "$app_project_path"  "$this_dir/$project_store_path/project"
fi

#脚本文件
if [ -d "$app_script_path" ]; then
	cp -rf "$app_script_path"  "$this_dir/$project_store_path/script"
fi

#轨迹记录
if [ -d "$app_recordTrack_path" ]; then
	cp -rf "$app_recordTrack_path"  "$this_dir/$project_store_path/recordtrack"
fi

#子工程
if [ -d "$app_procedure_path" ]; then
	cp -rf "$app_procedure_path"  "$this_dir/$project_store_path/procedure"
fi



if [ -n "$1" ]; then
	#打包工程
	cd "$this_dir" && tar zcf "$project_store_path"".tar.gz" "$project_store_path"
	
	if [ $? -eq 0 ];then
		mv  "$this_dir/$project_store_path"".tar.gz" "$1"
		if [ ! $? -eq 0 ];then
			rm -rf "$this_dir/$project_store_path"".tar.gz"
		fi
	fi
fi

#删除原有的
rm -rf "$this_dir/$project_store_path"

exit 0

