#!/bin/bash


set -e

#***********************************************************************
#函数功能: 获取当前脚本所在的绝对路径  
#参数说明: 1个参数   arg1:执行该程序时的命令行第一个参数
#
#说   明: 
#***********************************************************************
get_this_exec_file_path(){
	
	dirname $0|grep "^/" >/dev/null
	
	if [ $? -eq 0 ];then
		this_dir=`dirname $0`
	else
		dirname $0|grep "^\." >/dev/null
		retval=$?
		if [ $retval -eq 0 ];then
			this_dir=`dirname $0|sed "s#^.#$this_dir#"`
		else
			this_dir=`dirname $0|sed "s#^#$this_dir/#"`
		fi
	fi
	
	if [ $? = "1" ] ;then  
        return 1  
    else  
        return 0  
    fi
}

#初始化 this_dir 变量   this_dir得到的是当前脚本所在的绝对路径
this_dir=`pwd`
get_this_exec_file_path $0


sys_log_path="/var/log"
app_server_log_path="/root/AuboRobotWorkSpace/RobotServer/bin/logfiles"
app_client_log_path="/root/AuboRobotWorkSpace/teachpendant/bin/logfiles"


log_store_path="log-`date +%y-%m-%d-%H-%M`"

#创建日志存放目录
if [ ! -d "$this_dir/$log_store_path" ]; then
	mkdir -p "$this_dir/$log_store_path"
fi

#系统日志
if [ -d "$sys_log_path" ]; then
	cp -rf "$sys_log_path"  "$this_dir/$log_store_path/syslog"
fi 

#服务器日志
if [ -d "$app_server_log_path" ]; then
	cp -rf "$app_server_log_path"  "$this_dir/$log_store_path/serverlog"
fi 

#客户端日志
if [ -d "$app_client_log_path" ]; then
	cp -rf "$app_client_log_path"  "$this_dir/$log_store_path/clientlog"
fi 

#命令行参数判断
if [ -n "$1" ]; then
	#打包日志
	cd "$this_dir" && tar zcf "$log_store_path"".tar.gz" "$log_store_path"
	
	if [ $? -eq 0 ];then
		mv "$this_dir/$log_store_path"".tar.gz"  "$1"
		if [ ! $? -eq 0 ];then
			rm -rf "$this_dir/$log_store_path"".tar.gz"
		fi
	fi
fi

#删除原有的
rm -rf "$this_dir/$log_store_path"

exit 0




